For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • GETList Inventory at Locations
              • GETGet Inventory at Location
              • PUTUpdate Inventory Settings for Location
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryItems

Update Inventory Settings for Location

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations/:location_id/items
PUT
/stores/:store_hash/v3/inventory/locations/:location_id/items
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "settings": [
> {}
> ]
>}'
1{
2 "transaction_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
3}
Update inventory settings for items at a location. **Limits** * Limit of 2000 items for payload length.
Was this page helpful?
Previous

Get Inventory at Location

Next

Create Locations

Built with

Update inventory settings for items at a location.

Limits

  • Limit of 2000 items for payload length.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

location_idintegerRequired
Unique identifier for a location.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
settingslist of objectsRequired

Response

Request has been successfully processed.
transaction_idstring
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error

The MIME type of the response body.